
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
  /*  background-image: url('img.png'); /* Replace 'background-image.jpg' with the path to your image */
    background-size: cover;

    background-repeat: no-repeat;
    margin: 0 auto; 
    background-color: skyblue;
}

#about img{
   height: 150px;
   width: 150px;
   
}
header {
    background-color: rgba(0, 0, 0, 0.5); 
    color: #fff;
    padding: 20px;
    display: flex;
    justify-content: space-between; 
}

nav ul {
    list-style-type: none;
}

nav ul li {
    display: inline;
    margin-left: 20px; 
}

nav ul li:first-child {
    margin-left: 0; 
}

nav ul li a {
    color: #fff;
    text-decoration: none;
}

section {
    padding: 50px 20px;
    text-align: center;
    
    margin: 20px auto; 
    max-width: 800px; 
}

footer {
    background-color: rgba(0, 0, 0, 0.5); 
    color: #fff;
    text-align: center;
    padding: 20px;
    position: fixed;
    bottom: 0;
    width: 100%;
}

form {
    max-width: 400px;
    margin: 0 auto;
}

input, textarea {
    display: block;
    width: 100%;
    margin-bottom: 20px;
    padding: 10px;
    border: 1px solid #ccc;
}

button {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}

button:hover {
    background-color: #555;
}
.section__text {
    align-self: center;
    text-align: center;
  }
  
  .section__text p {
    font-weight: 600;
  }
  
  .section_text_p1 {
    text-align: center;
  }
  
  .section_text_p2 {
    font-size: 1.75rem;
    margin-bottom: 1rem;
  }
  
  .title {
    font-size: 1.7rem;
    text-align: center;
  }
  
  #socials-container {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
    gap: 1rem;
  }
  .details-container {
    padding: 1.5rem;
    flex: 1;
    background: white;
    border-radius: 2rem;
    border: rgb(53, 53, 53) 0.1rem solid;
    border-color: rgb(163, 163, 163);
    text-align: center;
  }
  
  .section-container {
    gap: 4rem;
    height: 80%;
  }
  
  .section__pic-container {
    height: 400px;
    width: 400px;
    margin: auto 0;
  }
  
  
  
  #experience {
    position: relative;
  }
  
  .experience-sub-title {
    color: rgb(85, 85, 85);
    font-weight: 600;
    font-size: 1.75rem;
    margin-bottom: 2rem;
  }
  
  .experience-details-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
  
  .article-container {
    display: flex;
    text-align: initial;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 2.5rem;
    justify-content: space-around;
  }
  
  article {
    display: flex;
    width: 10rem;
    justify-content: space-around;
    gap: 0.5rem;
  }
  
  article .icon {
    cursor: default;
  }
  
  .about-details-container {
    justify-content: center;
    flex-direction: column;
  }
  
  .about-containers,
  .about-details-container {
    display: flex;
    justify-content: space-between;
    align-items: space-between;
  }
  
  .about-pic {
    border-radius: 2rem;
  }
  
  .arrow {
    position: absolute;
    right: -5rem;
    bottom: 2.5rem;
  }
  
  .details-container {
    padding: 2.5rem;
    flex: 1;
    background: white;
    border-radius: 2rem;
    border: rgb(53, 53, 53) 0.1rem solid;
    border-color: rgb(163, 163, 163);
    text-align: center;
  }
  
  .section-container {
    gap: 4rem;
    height: 80%;
  }
  
  #projects {
    position: relative;
  }
  
  .color-container {
    border-color: rgb(163, 163, 163);
    background: rgb(250, 250, 250);
  }
  
  .project-img {
    border-radius: 2rem;
    width: 90%;
    height: 90%;
  }
  
  .project-title {
    margin: 1rem;
    color: black;
  }
  
  .project-btn {
    color: white;
    border-color: rgb(163, 163, 163);
  }
  

/*@media (max-width: 768px) {
    nav ul {
        display: flex;
        flex-direction: column;
        align-items: flex-end; 
    }

    nav ul li {
        display: block;
        margin-left: 0;
        margin-bottom: 10px;
    }
*/
@media screen and (max-width: 1200px) {
    #desktop-nav {
      display: none;
    }
    #hamburger-nav {
      display: flex;
    }
    #experience,
    .experience-details-container {
      margin-top: 2rem;
    }
    #profile,
    .section-container {
      display: block;
    }
    .arrow {
      display: none;
    }
    section,
    .section-container {
      height: fit-content;
    }
    section {
      margin: 0 5%;
    }
    .section__pic-container {
      width: 275px;
      height: 275px;
      margin: 0 auto 2rem;
    }
    .about-containers {
      margin-top: 0;
    }
  }
  
  @media screen and (max-width: 600px) {
    #contact,
    footer {
      height: 40vh;
    }
    #profile {
      height: 83vh;
      margin-bottom: 0;
    }
    article {
      font-size: 1rem;
    }
    footer nav {
      height: fit-content;
      margin-bottom: 2rem;
    }
    .about-containers,
    .contact-info-upper-container,
    .btn-container {
      flex-wrap: wrap;
    }
    .contact-info-container {
      margin: 0;
    }
    .contact-info-container p,
    .nav-links li a {
      font-size: 1rem;
    }
    .experience-sub-title {
      font-size: 1.25rem;
    }
    .logo {
      font-size: 1.5rem;
    }
    .nav-links {
      flex-direction: column;
      gap: 0.5rem;
      text-align: center;
    }
    .section__pic-container {
      width: auto;
      height: 46vw;
      justify-content: center;
    }
    .section_text_p2 {
      font-size: 1.25rem;
    }
    .title {
      font-size: 2rem;
    }
    .text-container {
      text-align: justify;
    }
  }

